function y = findU_yields(U,Q,sigma,J,dt,P);

% Objective function to find elements of the U vector 
% for the Black-Derman-Toy model.

for i=1:length(J);
	Term(i) = Q(i)/(1+U*exp(sigma*J(i)*sqrt(dt))*dt);
end

y = (sum(Term) - P)^2;
